
global t_vector u_vector;
global command_index;

load('WSP30single10','Ustar','JMAT');
str=sprintf('Medium performance index: %8.1f \n',mean(JMAT));
disp(str);
DJ=JMAT-mean(JMAT);
i0=1;
for i=2:30
    if(abs(DJ(i))<abs(DJ(i0)))
        i0=i;
    end
end

horiz=54.;
Nt=10;
X00=[1. 150. 0. 10.];
delt=horiz/Nt;
t_vector=0:delt:horiz; % are Nt+1 elemente
u_vector=Ustar(i0,:);

str=sprintf('Typical solution:');disp(str);
disp('i0=');disp(i0);
str=sprintf('J max = %8.1f\n',JMAT(i0));
disp(str);
str=sprintf('#####   Typical optimum profile control:');
disp(str);
str=sprintf('%8.3f \n', u_vector);
disp(str);    


%**************************************************************
figure(1)
stairs(t_vector,[u_vector(1:Nt),u_vector(Nt)],'r');
axis([0,54,0,12]);
command_index=1;
tf=horiz;
options = odeset('RelTol',1e-2,'MaxStep',1.,'NonNegative',[1,2,3,4]);
[T,Y] = ode23('EtanolProd',[0 tf],X00,options);

figure(2)
plot(T,Y(:,1),'k',T,Y(:,2),'g',T,Y(:,3),'r',T,Y(:,4),'b');
axis([0,54,0,210]);
IF=length(T); %IF este indicile final
J2=Y(IF,3)*Y(IF,4);
str=sprintf('\nJmax test: %8.1f',J2);
disp(str);
%*****************************************************************




