% Article proposed to mdpi-INVENTIONS
% The computation of the statistical parameters -Table 6
% after  the 30 executions made by the script "ciclu30_loop.m",
% and the drawing of Figure 4.
global t_vector u_vector;
global command_index;

load('WSP30loop','Ustar','JMAT');
str=sprintf('Medium performance index: %8.1f \n',mean(JMAT));
disp(str);
DJ=JMAT-mean(JMAT);
i0=1;
for i=2:30
    if(abs(DJ(i))<abs(DJ(i0)))
        i0=i;
    end
end


horiz=54.;
Nt=20;
X00=[1. 150. 0. 10.];JMAT
delt=horiz/Nt;
t_vector=0:delt:horiz; % are Nt+1 elemente
u_vector=Ustar(i0,:);
JMAT


str=sprintf('Typical solution:');disp(str);
disp('i0=');disp(i0);
str=sprintf('Jtyp = %8.1f\n',JMAT(i0));
disp(str);
str=sprintf('JMIN = %8.1f\n',min(JMAT));
disp(str);
str=sprintf('JAVG = %8.1f\n',mean(JMAT));
disp(str);
str=sprintf('JMAX = %8.1f\n',max(JMAT));
disp(str);
str=sprintf('STDEV = %8.1f\n',std(JMAT));
disp(str);

str=sprintf('#####   Typical optimum profile control:');
disp(str);
str=sprintf('%8.3f \n', u_vector);
disp(str);    


%**************************************************************
figure(4)
stairs(t_vector,[u_vector(1:Nt),u_vector(Nt)],'r');
xlabel('time [h]');
ylabel('control input ');
axis([0,54,0,12]);
grid MINOR;

text(10.,10.,'discretization step=T','FontSize',12);
text(10.,9,'closed-loop','FontSize',12);

figure(44)
command_index=1;
tf=horiz;
options = odeset('RelTol',1e-2,'MaxStep',1.,'NonNegative',[1,2,3,4]);
[T,Y] = ode23('EtanolProd',[0 tf],X00,options);

plot(T,Y(:,1),'k',T,Y(:,2),'g',T,Y(:,3),'r',T,Y(:,4),'b');
axis([0,54,0,210]);
xlabel('time [h]');
ylabel('state variables');
legend('\it{x}_{1}','\it{x}_{2}','\it{x}_{3}','\it{x}_{4}','position',[200 180 15 10]);
text(10.,190.,'discretization step=T','FontSize',12);
text(10.,170,'closed-loop','FontSize',12);
grid MINOR;
IF=length(T); %IF este indicile final
J2=Y(IF,3)*Y(IF,4);
str=sprintf('\nJmax test: %8.1f',J2);
disp(str);
%*****************************************************************




